Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server
Class NeoServerWithEmbeddedWebServer

    java.lang.Object
      org.neo4j.server.NeoServerWithEmbeddedWebServer

All Implemented Interfaces:
  NeoServer

    public class NeoServerWithEmbeddedWebServer

extends Object
implements NeoServer

Field Summary
`static Logger` | `log`

Constructor Summary
`NeoServerWithEmbeddedWebServer(Bootstrapper bootstrapper, AddressResolver addressResolver, StartupHealthCheck startupHealthCheck, File configFile, WebServer webServer, Iterable<Class<? extends ServerModule>> moduleClasses)`
`NeoServerWithEmbeddedWebServer(Bootstrapper bootstrapper, StartupHealthCheck startupHealthCheck, File configFile, WebServer ws, Iterable<Class<? extends ServerModule>> mc)`

Method Summary
`URI` | `baseUri()`
`org.apache.commons.configuration.Configuration` | `getConfiguration()`
`Configurator` | `getConfigurator()`
`Database` | `getDatabase()`
`PluginManager` | `getExtensionManager()`
`Collection<Injectable<?>>` | `getInjectables(List<String> packageNames)`
`WebServer` | `getWebServer()`
`protected int` | `getWebServerPort()`
`protected void` | `registerModule(Class<? extends ServerModule> clazz)` Use this method to register server modules from subclasses
`void` | `start()`
`protected void` | `startExtensionInitialization()` Initializes individual plugins using the mechanism provided via @{see PluginInitializer} and the java service locator
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final Logger log

Constructor Detail

### NeoServerWithEmbeddedWebServer

    public NeoServerWithEmbeddedWebServer(Bootstrapper bootstrapper,
                                          AddressResolver addressResolver,
                                          StartupHealthCheck startupHealthCheck,
                                          File configFile,
                                          WebServer webServer,
                                          Iterable<Class<? extends ServerModule>> moduleClasses)

### NeoServerWithEmbeddedWebServer

    public NeoServerWithEmbeddedWebServer(Bootstrapper bootstrapper,
                                          StartupHealthCheck startupHealthCheck,
                                          File configFile,
                                          WebServer ws,
                                          Iterable<Class<? extends ServerModule>> mc)

Method Detail

### start

    public void start()

  Specified by:
    `start` in interface `NeoServer`

### startExtensionInitialization

    protected void startExtensionInitialization()

  Initializes individual plugins using the mechanism provided via @{see PluginInitializer} and the java service locator

### registerModule

    protected final void registerModule(Class<? extends ServerModule> clazz)

  Use this method to register server modules from subclasses

  Parameters:
    `clazz` -

### getConfiguration

    public org.apache.commons.configuration.Configuration getConfiguration()

  Specified by:
    `getConfiguration` in interface `NeoServer`

### getWebServerPort

    protected int getWebServerPort()

### stop

    public void stop()

  Specified by:
    `stop` in interface `NeoServer`

### getDatabase

    public Database getDatabase()

  Specified by:
    `getDatabase` in interface `NeoServer`

### baseUri

    public URI baseUri()

  Specified by:
    `baseUri` in interface `NeoServer`

### getWebServer

    public WebServer getWebServer()

### getConfigurator

    public Configurator getConfigurator()

  Specified by:
    `getConfigurator` in interface `NeoServer`

### getExtensionManager

    public PluginManager getExtensionManager()

  Specified by:
    `getExtensionManager` in interface `NeoServer`

### getInjectables

    public Collection<Injectable<?>> getInjectables(List<String> packageNames)

  Specified by:
    `getInjectables` in interface `NeoServer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.